View Issue Details

IDProjectCategoryView StatusLast Update
0001516SOGoWeb Calendarpublic2015-05-21 21:37
Reportermrechte Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.9 
Target Version2.3.0Fixed in Version2.3.0 
Summary0001516: keyboard date / time entry not working numeric pad
Description

When imputing date / time (event dialog) the numeric keypad is not working.

Additional Information

Tested with both IE and FF

TagsNo tags attached.

Activities

dbelhomm

dbelhomm

2011-12-02 09:00

reporter   ~0003097

I can confirm the same behaviour here, with Firefox under Windows as well as Linux. Seems that the numeric keypad keys stay in "cursor mode" even when num lock is active. The numeric keys from the alphabetic part of the keyboard are correctly recognized.

tsdogs

tsdogs

2015-05-15 08:43

reporter  

sogo_enable_keypad_in_timepicker.patch (1,073 bytes)   
From 1078ccc65f8387483bca7252dfdb461bf2241ceb Mon Sep 17 00:00:00 2001
From: Alessandro Briosi <ab1@metalit.com>
Date: Wed, 13 May 2015 18:09:42 +0200
Subject: [PATCH] Fix Bug 0001516 - Timepiker supports keypad

---
 UI/WebServerResources/SOGoTimePicker.js | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/UI/WebServerResources/SOGoTimePicker.js b/UI/WebServerResources/SOGoTimePicker.js
index a5acbea..9d25e35 100644
--- a/UI/WebServerResources/SOGoTimePicker.js
+++ b/UI/WebServerResources/SOGoTimePicker.js
@@ -206,7 +206,8 @@ var SOGoTimePickerInterface = {
             event.keyCode == Event.KEY_TAB ||
             event.keyCode == Event.KEY_BACKSPACE)
             return true;
-        if (event.keyCode > 57 && event.keyCode != 186 && event.keyCode != 59 ||
+        if (event.keyCode > 57 && (event.keyCode<96 || event.keyCode>105)
+              && event.keyCode != 186 && event.keyCode != 59 ||
             (event.keyCode == 186 || event.keyCode == 59) && this.value.indexOf(":") >= 0)
             Event.stop(event);
     },
-- 
2.1.4

tsdogs

tsdogs

2015-05-15 08:44

reporter   ~0008495

Please find attached a patch that should solve the problem (at least on major browsers)

francis

francis

2015-05-21 21:37

administrator   ~0008517

Thank you for your patch.

Ref: https://github.com/inverse-inc/sogo/commit/789334924429a4750d5f2c7ad4cfdb84c42e0717

Issue History

Date Modified Username Field Change
2011-11-30 09:28 mrechte New Issue
2011-12-02 09:00 dbelhomm Note Added: 0003097
2015-05-15 08:43 tsdogs File Added: sogo_enable_keypad_in_timepicker.patch
2015-05-15 08:44 tsdogs Note Added: 0008495
2015-05-15 08:50 francis Target Version => 2.3.0
2015-05-21 21:37 francis Note Added: 0008517
2015-05-21 21:37 francis Status new => resolved
2015-05-21 21:37 francis Fixed in Version => 2.3.0
2015-05-21 21:37 francis Resolution open => fixed
2015-05-21 21:37 francis Assigned To => francis